# Green Card
[Americandream](https://www.americandream.de/leistungen-und-kosten/)

# AD und LDAP
[Active Directory DNS Records](https://blog.andreas-schreiner.de/2017/10/16/active-directory-dns-records/)  
[How to join Ubuntu to Active Directory](https://codymoler.github.io/tutorials/ubuntu-active-directory/)  
[Ports required for Active Directory and PKI](https://www.encryptionconsulting.com/ports-required-for-active-directory-and-pki/)  
[SSSD and Active Directory](https://ubuntu.com/server/docs/service-sssd-ad)  
[Active Directory LDAP Field Mappings](https://activedirectorypro.com/ad-ldap-field-mapping/)

# Android
[APKMirror](https://www.apkmirror.com/)  
[Download TWRP](https://eu.dl.twrp.me/)  
[F-Droid](https://f-droid.org/)  
[LineageOS](https://lineageos.org/)  
[Open GApps](https://opengapps.org/)  
[Samsung Heimdall](https://glassechidna.com.au/heimdall/#downloads)  
[Samsung Odin](https://odindownload.com/)  

# Backup and Recovery
[Drive Snapshot](http://www.drivesnapshot.de)  
[Rclone](https://rclone.org)  
[Rclone Seafile client](https://rclone.org/seafile/)  
[restic · Backups done right!](https://restic.net/)  
[SuperDuper!](https://www.shirt-pocket.com/SuperDuper)  

# C-Programming
[Function Index (The GNU C Library)](https://www.gnu.org/software/libc/manual/html_node/Function-Index.html)  
[msvcrt.lib | Microsoft Docs](https://docs.microsoft.com/de-de/cpp/c-runtime-library/run-time-routines-by-category?view=vs-2019)  
[relocatable Linux executables](https://nehckl0.medium.com/creating-relocatable-linux-executables-by-setting-rpath-with-origin-45de573a2e98)  
[Using LD](http://www.scoberlin.de/content/media/http/informatik/gcc_docs/ld_3.html)  

# Databases
[My Oracle Support](https://support.oracle.com/portal/)  
[Oracle-DBA scripts](https://bitbucket.org/oracle-dba/dba-scripts-archive-for-oracle/src/master/)  
[Oracle 23ai](https://docs.oracle.com/en/database/oracle/oracle-database/23/xeinl/introduction.html)

# Docs
[Creating DMARC Record to Protect Your Domain](https://www.linuxbabe.com/mail-server/create-dmarc-record)  
[eM Client FAQ](https://de.emclient.com/faq-fur-admins)  
[git - the simple guide](http://rogerdudler.github.io/git-guide/)  
[How to Set up SPF and DKIM with Postfix](https://www.linuxbabe.com/mail-server/setting-up-dkim-and-spf)  
[HP-ilo REST api](https://github.com/HewlettPackard/ilo-rest-api-docs/blob/master/source/includes/_ilo5_sslcertdoc.md)  
[Implementing DKIM in Zentyal MTA](https://tweenpath.net/implementing-dkim-zentyal-mta-sogo/)  
[Java Ldap Certs](https://www.hollenback.net/JavaLdapCerts)  
[Markdown Guide](https://www.markdownguide.org/basic-syntax/)  
[PHP Manual](https://www.php.net/manual/en/)  
[Seafile Admin Manual](https://manual.seafile.com/deploy_pro/)  
[Seafile User Manual](https://help.seafile.com/faq/)  
[SELFHTML-Wiki](https://wiki.selfhtml.org/)  
[ShareMouse - Installation](https://www.sharemouse.com/de/doc/installation/#windows)  
[WebMail Pro documentation](https://afterlogic.com/docs/webmail-pro-8)  
[Lets Encrypt FAQ](https://letsencrypt.org/docs/faq/)  

# DOS-Batch
[Batch Script Tutorial](https://www.tutorialspoint.com/batch_script/index.htm)  
[DosTips](https://www.dostips.com/)  
[SS64 Command line reference](https://ss64.com/)  
[Windows Batch - cmd Script](https://www.script-example.com/themen/Windows_Batch.php)  
[Windows Batch Scripting - Wikibooks](https://en.wikibooks.org/wiki/Windows_Batch_Scripting)  

# Downloads
[CentOS 7 downloads Schlundtech](https://centos.schlundtech.de/7.9.2009/isos/x86_64/)  
[Firefox Releases](https://ftp.mozilla.org/pub/firefox/releases/)  
[iPXE - open source boot firmware](https://ipxe.org/download)  
[Microsoft Update Catalog](https://www.catalog.update.microsoft.com)  
[Oracle Instant Client Downloads](https://www.oracle.com/de/database/technologies/instant-client/downloads.html)  
[Rocky Linux downloads FH Fulda](https://mirror.informatik.hs-fulda.de/rocky/)  
[Seafile Downloads](https://www.seafile.com/en/download/)  
[Windows 10 enterprise](https://www.microsoft.com/de-de/evalcenter/download-windows-10-enterprise)
[Remote Desktop App Center, MAC](https://install.appcenter.ms/orgs/rdmacios-k2vy/apps/microsoft-remote-desktop-for-mac/distribution_groups/all-users-of-microsoft-remote-desktop-for-mac)  
[openSUSELeap](https://get.opensuse.org/leap/15.6/?type=server)
[Uyuni stable Version](https://www.uyuni-project.org/pages/stable-version.html)

# FUN
[ASCII Art Archive](https://www.asciiart.eu/)  
[BOFH diary](http://bofh.bjash.com/bofh/bofh1.html)  
[Daily BOFH excuses](https://pages.cs.wisc.edu/~ballard/bofh/excuses)  
[Text to ASCII Art Generator](http://patorjk.com/software/taag/#p=display&f=Graffiti&t=Type%20Something%20)  
[ATARI 8-Bit Games](http://www.mushca.com/f/atari/index.php?idx=0)  
[a8.fandal.cz](https://a8.fandal.cz/games.php?name=A&butt_details_x=&from=150)  

# Hacking
[Extracting SSH Private Keys From Windows 10](https://blog.ropnop.com/extracting-ssh-private-keys-from-windows-10-ssh-agent/)  
[Packet Storm security](https://packetstormsecurity.com/files/author/2687/)  

# Hardware
[Adaptec RAID Series 5Z](https://storage.microsemi.com/de-de/products/series/5z/)  
[FRITZ!Box EMERGENCY connect](http://169.254.1.1/)  
[HiFive Unmatched - SiFive Boards](https://www.sifive.com/boards/hifive-unmatched)  
[IPMI Konfiguration unter Linux](https://www.thomas-krenn.com/de/wiki/IPMI_Konfiguration_unter_Linux_mittels_ipmitool)  
[iPXE - open source boot firmware](https://ipxe.org/)  
[LSIMegaRAIDSAS – HWraid](https://hwraid.le-vert.net/wiki/LSIMegaRAIDSAS)  
[PXE-Boot (Ubuntu)](https://wiki.ubuntuusers.de/PXE-Boot/)  
[Softwaretools für IPMI](https://www.thomas-krenn.com/de/wiki/Softwaretools_f%C3%BCr_IPMI_im_%C3%9Cberblick)  
[StorCLI commands](https://www.thomas-krenn.com/en/wiki/StorCLI_commands)  
[UEFI HTTP Boot Server](https://documentation.suse.com/de-de/sles/15-SP3/html/SLES-all/cha-deployment-prep-uefi-httpboot.html)  

# HOWTO
[How to allow root login from one IP address with ssh public keys only - nixCraft](https://www.cyberciti.biz/faq/match-address-sshd_config-allow-root-loginfrom-one_ip_address-on-linux-unix/)  
[no /dev/disk/by-id for scsi LUNs on VMWare ESX | Support | SUSE](https://www.suse.com/support/kb/doc/?id=000016951)  
[XOJO: Dynamically adding and removing controls](https://documentation.xojo.com/topics/user_interface/dynamically_adding_and_removing_controls.html)  

# Linux
[Alpine Linux](https://alpinelinux.org/)  
[AppImageHub](https://appimage.github.io/)  
[BLFS view](https://www.linuxfromscratch.org/blfs/view/)  
[Custom SystemRescue Modules](https://www.system-rescue.org/Modules/)  
[Glances](https://nicolargo.github.io/glances/)  
[GRUB Manual 2.06](https://www.gnu.org/software/grub/manual/grub/grub.html)  
[Homebrew](https://brew.sh/)  
[IGEL CP](https://www.igelcommunity.com/igel-custom-partitions-store)  
[LFS Network Firewall](https://www.linuxfromscratch.org/blfs/view/9.1/postlfs/firewall.html)  
[LFS view](https://www.linuxfromscratch.org/lfs/view/)  
[Linux Network Interface Configuration With udev](https://packetpushers.net/udev/)  
[LTSP](https://ltsp.org/)  
[Minix3](http://www.minix3.org/)  
[musl libc](https://musl.libc.org/)  
[Patchelf](https://directory.fsf.org/wiki/Patchelf)  
[PPP – BLFS Trac](https://wiki.linuxfromscratch.org/blfs/wiki/PPP)  
[PPP-2.4.5](http://www.linuxfromscratch.org/~thomasp/blfs-book-xsl/basicnet/ppp.html)  
[SLES 15 SP | Upgrade Paths and Methods](https://documentation.suse.com/sles/15-SP1/html/SLES-all/cha-upgrade-paths.html)  
[Snapcraft](https://snapcraft.io/docs/getting-started)  

# Programming
[XOJO](https://www.xojo.com/store/)  
[Chilkat API](https://www.chilkatsoft.com/)  
[Chilkat Example Programs](https://www.example-code.com/)  
[Function Index (The GNU C Library)](https://www.gnu.org/software/libc/manual/html_node/Function-Index.html)  
[jq Manual](https://jqlang.github.io/jq/manual/)  
[JSON](https://www.json.org/json-en.html)  
[MonkeyBread Software: Xojo Plug-Ins](https://www.monkeybreadsoftware.com/)  
[msvcrt.lib | Microsoft Docs](https://docs.microsoft.com/de-de/cpp/c-runtime-library/run-time-routines-by-category?view=vs-2019)  
[relocatable Linux executables](https://nehckl0.medium.com/creating-relocatable-linux-executables-by-setting-rpath-with-origin-45de573a2e98)  
[Rosetta Code](https://rosettacode.org/wiki/Rosetta_Code)  
[Using LD](http://www.scoberlin.de/content/media/http/informatik/gcc_docs/ld_3.html)  
[sling MySQL](https://blog.slingdata.io/import-json-files-into-mysql)  


# Provider
[1&1 Kunden-Login](https://www.1und1.de/login)  
[emClient License Manager](https://licensemanager.emclient.com/account/login)  
[HETZNER Robot](https://robot.hetzner.com/)  
[netcup ccp](https://www.customercontrolpanel.de/)  

# PureBasic
[Integrierter Form-Designer](https://www.purebasic.com/german/documentation/reference/ide_form.html)  
[PB-Compiler](https://www.purebasic.com/german/documentation/reference/cli_compiler.html)  
[Pure Basic Reference](https://www.purebasic.com/documentation/)  
[PureBasic Forum](https://www.purebasic.fr/english/)  
[PureBasic: GUI-Programmierung](https://de.wikibooks.org/wiki/PureBasic:_GUI-Programmierung)  

# Python
[Creating a daemon the Python way](http://code.activestate.com/recipes/278731/)  
[Creating daemon process Python](https://franklingu.github.io/programming/2016/03/01/creating-daemon-process-python-example-explanation/)  
[Download Python](https://www.python.org/downloads/)  
[Einführung in Python](https://www.rna.uni-jena.de/wp-content/uploads/2019/01/Einf%C3%BChrung-in-Python-9.pdf)  
[Einführung in Python Teil I - Grundlagen](https://www.itp.tu-berlin.de/fileadmin/a3233/upload/SS10/nlin/python1.pdf)  
[Forking background processes in Python](https://sigterm.sh/2012/08/22/forking-background-processes-in-python/)  
[PEP 20 - The Zen of Python](https://www.python.org/dev/peps/pep-0020/)  
[Programmieren in Python](http://www.math.uni-leipzig.de/~hellmund/Vorlesung/pres.pdf)  
[PyGObject](https://pygobject.readthedocs.io/en/latest/)  
[Pyinstaller](https://datatofish.com/executable-pyinstaller/)  
[Python GTK+ 3 Tutorial | Read the Docs](https://readthedocs.org/projects/python-gtk-3-tutorial/downloads/)  
[Python Subprocess - Python Tutorial](https://pythonspot.com/python-subprocess/)  
[Python subprocess management](https://docs.python.org/3/library/subprocess.html#module-subprocess)  
[Thonny](https://thonny.org/)  
[Using PyInstaller](https://pyinstaller.readthedocs.io/en/stable/usage.html)  

# SHOPPING
[GERSIA](https://www.gersia.de/)  
[GIFFITS (Werbegeschenke)](https://www.giffits.de/)  
[MG PRIME](https://www.mg-prime.de/)  
[PiKVM](https://pikvm.org/)  
[S0-Recorder](https://www.s0-recorder.com/)  
[Serverbilliger.de](https://serverbilliger.de/)  
[Solar-PAC](https://solar-pac.de)  
[TASMOTA](https://www.tasmota.shop/)  
[Tasmota Shop](https://mediarath.de/)  
[Thinkstore24.de](https://www.thinkstore24.de/)  

# Software
[Add-ons for Firefox](https://addons.mozilla.org/en-US/firefox/)  
[CrushFTP](https://www.crushftp.com/index.html)  
[Drawio Desktop](https://github.com/jgraph/drawio-desktop)  
[GitHub - Awesome PHP](https://github.com/ziadoz/awesome-php#Files)  
[GitHub - Awesome Selfhosted](https://github.com/awesome-selfhosted/awesome-selfhosted)  
[GitHub - Awesome Sysadmin](https://github.com/kahun/awesome-sysadmin)  
[Grafana: The open observability platform](https://grafana.com/)  
[Mozilla Firefox Release Notes](https://www.mozilla.org/en-US/firefox/releases/)  
[TeamCity: CI/CD-Tool](https://www.jetbrains.com/de-de/teamcity/)  
[Teleport](https://goteleport.com/)  
[TSplus](https://terminalserviceplus.de/)  
[Xojo: Cross-platform App Development Tool](https://www.xojo.com/)  

# VMware
[Enabling the SSD option](https://kb.vmware.com/s/article/2013188)  
[ESXi · Aquantia/AQtion-esxi drivers](https://github.com/Aquantia/AQtion-esxi/releases)  
[ESXi S.M.A.R.T.](https://kb.vmware.com/s/article/2040405)  
[Force Delete vSAN Datastore from ESXi Host](https://www.virtualizationhowto.com/2021/03/force-delete-vsan-datastore-from-esxi-host/)  
[Reset ESXi Evaluation License](https://marte-it.at/en/reset-esxi-evaluation-license/)  
[vCenter check trust anchors script](https://web.vmware-labs.com/scripts/check-trust-anchors)  
[VMware ESXi 6.7](https://docs.vmware.com/en/VMware-vSphere/6.7/rn/esxi670-202210001.html)  
[VMware ESXi Release and Build Number History](https://www.virten.net/vmware/esxi-release-build-number-history/)  
[VMware Ports and Protocols](https://ports.esp.vmware.com/)  
[VMware vSphere 7 Editionen Funktionsunterschiede](https://www.thomas-krenn.com/de/wiki/VMware_vSphere_7_Editionen_Funktionsunterschiede)  
[Community.VMware](https://docs.ansible.com/ansible/latest/collections/community/vmware/index.html)  

# Windows
[Batch-Befehle – Wikibooks](https://de.wikibooks.org/wiki/Batch-Programmierung:_Batch-Befehle)  
[Debloat-Windows-10](https://github.com/W4RH4WK/Debloat-Windows-10)  
[LeDragoX/Win-Debloat-Tools](https://github.com/LeDragoX/Win-Debloat-Tools)  
[Manage Windows Updates with Powershell](https://woshub.com/pswindowsupdate-module/)  
[Managing Printers with Powershell](https://woshub.com/powershell-managing-printers-and-their-drivers-in-windows-8/)  
[Marco Pontello's Home](https://mark0.net/)  
[NirSoft - freeware](https://www.nirsoft.net/)  
[OlderGeeks.com](https://www.oldergeeks.com/downloads/category.php?id=99)  
[Remote Desktop FAQ](http://remotedesktoprdp.com/)  
[TheWindowsClub](https://www.thewindowsclub.com/category/windows)  
[Windows 10: Setup mit Autounattend.xml](https://www.anreiter.at/windows-10-setup-mit-autounattend-xml/)  
[Windows Befehle](https://learn.microsoft.com/de-de/windows-server/administration/windows-commands/windows-commands)  

# Vereine
[Schützengilde Bad Hersfeld](https://www.sg-hersfeld.de)

# Waffen
[Jörg Spraves Hirschfänger](https://gogun.de/1001202)  
[Sig Sauer MPX CO2-Luftgewehr](https://www.kotte-zeller.de/sig-sauer-mpx-co2-luftgewehr-kal-45mm-diabolo-schwarz)  
[Sig Sauer MPX MCX Pressluft Kit](https://www.luftgewehr-kaniss.de/p/best-fittings-sig-sauer-mpx-mcx-pressluft-kit)  
[Kupfer Diabolos Spitzkopf 4,5 mm](https://www.waffenpflege-shop.de/kupfer-diabolos-copper-impact-spitzkopf-4-5-mm.html)  
[EK ARCHERY Cobra System RX](https://www.bogensportwelt.de/EK-ARCHERY-Cobra-System-RX-230-fps-130-lbs-Pistolenarmbrust?gad_source=1)  
